Bug 27505 - Add new itemtype controller image for carredart
Summary: Add new itemtype controller image for carredart
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-21 02:16 UTC by Ava
Modified: 2021-08-20 18:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This enhancement adds a video game controller image to the carredart icon set for item types.
Version(s) released in:
21.11.00


Attachments
Bug 27505: Add new item type controller image for carredart (2.45 KB, patch)
2021-01-21 02:20 UTC, Ava
Details | Diff | Splinter Review
Bug 27505: Add new item type controller image for carredart (2.50 KB, patch)
2021-01-21 12:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27505: (follow-up) Add copy of image to carredart icons in the OPAC (2.29 KB, patch)
2021-01-22 17:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27505: Add new item type controller image for carredart (2.57 KB, patch)
2021-01-25 11:42 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27505: (follow-up) Add copy of image to carredart icons in the OPAC (2.36 KB, patch)
2021-01-25 11:42 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27505: (follow-up) Add copy of image to carredart icons in the OPAC (2.41 KB, patch)
2021-01-26 21:22 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27505: Add new itemtype controller image for carredart (4.51 KB, patch)
2021-07-26 13:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27505: Add new itemtype controller image for carredart (4.56 KB, patch)
2021-07-28 20:58 UTC, David Nind
Details | Diff | Splinter Review
Bug 27505: Add new itemtype controller image for carredart (4.63 KB, patch)
2021-08-18 09:31 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ava 2021-01-21 02:16:56 UTC

    
Comment 1 Ava 2021-01-21 02:20:54 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2021-01-21 12:35:52 UTC
Created attachment 115540 [details] [review]
Bug 27505: Add new item type controller image for carredart

TEST PLAN:
1) Go to administration
2) Go to item types
3) Click edit on one of the item types
4) Go to the category "carredart"
5) Check that there is a small controller icon

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Owen Leonard 2021-01-21 12:36:16 UTC
I love new item type images! :)
Comment 4 Katrin Fischer 2021-01-21 23:20:08 UTC
As the itemtype images can be displayed in the OPAC and in the staff interface we currently need to add them in 2 places as one cannot access the image files of the other.

Can you also add the files to
koha-tmpl/opac-tmpl/bootstrap/itemtypeimg/carredart please?
Comment 5 Owen Leonard 2021-01-22 17:14:36 UTC
Created attachment 115705 [details] [review]
Bug 27505: (follow-up) Add copy of image to carredart icons in the OPAC
Comment 6 PTFS Europe Sandboxes 2021-01-25 11:42:12 UTC
Created attachment 115751 [details] [review]
Bug 27505: Add new item type controller image for carredart

TEST PLAN:
1) Go to administration
2) Go to item types
3) Click edit on one of the item types
4) Go to the category "carredart"
5) Check that there is a small controller icon

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 7 PTFS Europe Sandboxes 2021-01-25 11:42:15 UTC
Created attachment 115752 [details] [review]
Bug 27505: (follow-up) Add copy of image to carredart icons in the OPAC

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 8 Sally 2021-01-25 11:42:57 UTC
Works as described.

Test Plan
1. Go to Administration>item types>modify item type
2. There should be a controller item type under the carredart
3. Modify the item type so one of the new icons is used
4. Search for an item using the above item type
5. Check that the icon displays properly in both the staff client and OPAC
Comment 9 Katrin Fischer 2021-01-26 21:22:42 UTC
Created attachment 115842 [details] [review]
Bug 27505: (follow-up) Add copy of image to carredart icons in the OPAC

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2021-01-26 21:33:50 UTC
Hi, please see comment on bug 27522 too.
Can you please clear up where the icon was taken from before we add it to Koha?
Comment 11 Owen Leonard 2021-07-26 13:22:09 UTC
Created attachment 123192 [details] [review]
Bug 27505: Add new itemtype controller image for carredart

This patch adds a new video game controller icon to the carredart icon
set. The icon is based on this one which is in the public domain:
https://commons.wikimedia.org/wiki/File:Controller.svg

Test Plan
1. Go to Administration > Item types > Modify item type
2. There should be a controller item type under the carredart
3. Modify the item type so one of the new icons is used
4. Search for an item using the above item type
5. Check that the icon displays properly in both the staff client and
   OPAC
Comment 12 David Nind 2021-07-28 20:58:57 UTC
Created attachment 123276 [details] [review]
Bug 27505: Add new itemtype controller image for carredart

This patch adds a new video game controller icon to the carredart icon
set. The icon is based on this one which is in the public domain:
https://commons.wikimedia.org/wiki/File:Controller.svg

Test Plan
1. Go to Administration > Item types > Modify item type
2. There should be a controller item type under the carredart
3. Modify the item type so one of the new icons is used
4. Search for an item using the above item type
5. Check that the icon displays properly in both the staff client and
   OPAC

Signed-off-by: David Nind <david@davidnind.com>
Comment 13 Katrin Fischer 2021-08-18 09:31:08 UTC
Created attachment 123931 [details] [review]
Bug 27505: Add new itemtype controller image for carredart

This patch adds a new video game controller icon to the carredart icon
set. The icon is based on this one which is in the public domain:
https://commons.wikimedia.org/wiki/File:Controller.svg

Test Plan
1. Go to Administration > Item types > Modify item type
2. There should be a controller item type under the carredart
3. Modify the item type so one of the new icons is used
4. Search for an item using the above item type
5. Check that the icon displays properly in both the staff client and
   OPAC

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Jonathan Druart 2021-08-18 14:22:46 UTC
Based on bug 27522 comment 22 I have decided to restore the original version of the icon.
Comment 15 Jonathan Druart 2021-08-18 14:31:19 UTC
Pushed to master for 21.11, thanks to everybody involved!